%define oname   pyxdg
%define version 0.19
%define release %mkrel 4

Name:             python-pyxdg
Summary:          Python library to access freedesktop.org standards
Version:          %{version}
Release:          %{release}
BuildArch:        noarch
Source0:          http://www.freedesktop.org/~lanius/%{oname}-%{version}.tar.gz
URL:              http://www.freedesktop.org/Software/pyxdg
Group:            System/Libraries
License:          LGPLv2
BuildRequires:    python-devel
Provides:         pyxdg
Obsoletes:        pyxdg < 0.19-3

%description
PyXDG is a python library to access freedesktop.org standards. 
Currently supported are:

	* Base Directory Specification Version 0.6 

	* Menu Specification Version 1.0 

	* Desktop Entry Specification Version 1.0 

	* Icon Theme Specification Version 0.8 

	* Recent File Spec 0.2 

	* Shared-MIME-Database Specification 0.13 



%prep
%setup -qn %{oname}-%{version}

%build
python setup.py build

%install
PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.19-4.mga3
+ Revision: 379422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 0.19-3.mga1
+ Revision: 47125
- step 2 or renaming the package
- move the package in order to rename it to comply with our python naming policy
- imported package pyxdg

